Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.common.xml
Class JSTLXPathVariableResolver

    java.lang.Object
      org.apache.taglibs.standard.tag.common.xml.JSTLXPathVariableResolver

All Implemented Interfaces:
  XPathVariableResolver

    public class JSTLXPathVariableResolver

extends Object
implements XPathVariableResolver

The XPathVariableResolver implementation provides access to user XPath variables.

Constructor Summary
`JSTLXPathVariableResolver(PageContext pc)`

Method Summary
`protected Object` | `getVariableValue(String namespace, String prefix, String localName)` Retrieve an XPath's variable value using JSTL's custom variable-mapping rules
`Object` | `resolveVariable(QName qname)` Find variable in set of variables

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSTLXPathVariableResolver

    public JSTLXPathVariableResolver(PageContext pc)

Method Detail

### resolveVariable

    public Object resolveVariable(QName qname)
                           throws NullPointerException

  Find variable in set of variables

  Specified by:
    `resolveVariable` in interface `XPathVariableResolver`
  Parameters:
    `QName` - variable name
  Returns:
    QName variables value
  Throws:
    `NullPointerException` - if variable name is null

### getVariableValue

    protected Object getVariableValue(String namespace,
                                      String prefix,
                                      String localName)
                               throws UnresolvableException

  Retrieve an XPath's variable value using JSTL's custom variable-mapping rules

  Throws:
    `UnresolvableException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.